#!/bin/bash

# ***********

ipxe_target="dc01-ipxesrv01-it-infr.lab.loc"
ipxe_net_name="VLAN-0221"

vm_name="zdc01-testsrv01-it-infr.lab.loc"
vm_folder="VLAN-0011"
vm_guest_id="debian12_64Guest"
vm_datastore="Cluster01-LUN02"
vm_net_name="VLAN-0011"

vm_ip_addr="10.8.11.55"
vm_ip_mask="255.255.255.0"
vm_ip_gw="10.8.11.1"
vm_ip_dns="10.12.90.1"
vm_ip_domain="lab.loc"
vm_ip_search="lab.loc"


# ***********

/usr/bin/ansible-playbook /root/ansible/playbooks/os-ipxe-vmware-deploy.yml \
-e "ipxe_target=$ipxe_target ipxe_net_name=$ipxe_net_name \
vm_name=$vm_name vm_folder=$vm_folder vm_guest_id=$vm_guest_id vm_datastore=$vm_datastore vm_net_name=$vm_net_name \
vm_ip_addr=$vm_ip_addr vm_ip_mask=$vm_ip_mask vm_ip_gw=$vm_ip_gw vm_ip_dns=$vm_ip_dns vm_ip_domain=$vm_ip_domain \
vm_ip_search=$vm_ip_search"

# ***********
