#!/bin/bash

packer="/usr/bin/packer"

vm_name="x-debian-packer-vm"

# => For logs:
#export PACKER_LOG_PATH=./build-debian-12-amd64.log
export PACKER_LOG=0

creds_vars_file="$HOME/.secret/.packer/vcsrv-creds.pkrvars.hcl"

$packer init $HOME/packer/linux/debian-12-x64/
$packer build -force \
-var-file="$creds_vars_file" \
-var-file="$HOME/packer/linux/debian-12-x64/conf.pkrvars.hcl" \
-var vm_name=$vm_name \
$HOME/packer/linux/debian-12-x64/
